2009-09-23  Chris Toshok  <toshok@ximian.com>

	* Timeline.cs: remove autogenerated events.

	r: spouliot, andriea

2009-04-18  Chris Toshok  <toshok@ximian.com>

	* Storyboard.cs: reorder things a bit to group
	methods/properties/etc together (and put internal things at the
	end).  Also, implement SeekAlignedToLastTick.

	* Timeline.cs: don't use Helper.ObjectFromIntPtr, use
	NativeDependencyObjectHelper.FromIntPtr, and don't cache the
	manual target.  get and set it using the pinvoke.

2009-04-05  Chris Toshok  <toshok@ximian.com>

	* EasingFunctionBase.cs (Initialize): call
	EasingFunctionBase::SetEasingFunction, passing a delegate to our
	Ease method.

2009-04-04  Chris Toshok  <toshok@ximian.com>

	* EasingColorKeyFrame.cs, EasingDoubleKeyFrame,
	EasingPointKeyFrame: add the easing keyframe types.

2009-04-03  Chris Toshok  <toshok@ximian.com>

	* BackEase.cs, BounceEase.cs, CircleEase.cs, CubicEase.cs,
	EasingFunctionBase.cs, EasingMode.cs, ElasticEase.cs,
	ExponentialEase.cs, IEasingFunction.cs, PowerEase.cs,
	QuadraticEase.cs, QuarticEase.cs, QuinticEase.cs, SineEase.cs: add
	the easing types.

2009-03-12  Geoff Norton  <gnorton@novell.com>

	* Storyboard.cs: Implement SkipToFill

2009-03-06  Andreia Gaita  <avidigal@novell.com>

	* Timeline.cs: Switch to using ObjectFromIntPtr to lookup objects.

2009-03-06  Alan McGovern  <amcgovern@novell.com>

	* Timeline.cs:
	* Storyboard.cs: If the PropertyPath supplied to the
	  TargetPropertyProperty is a DependencyProperty, we need a
	  special method to retrieve it. Normally PropertyPaths which
	  are instantiated with a DependencyProperty are returned as
	  'null' from native. Also add method for getting the manual
	  target.

2009-03-06  Alan McGovern  <amcgovern@novell.com>

	* ChangeLog:
	* Timeline.cs:
	* Storyboard.cs: Revert - I didn't mean to commit that yet.
	  It's not complete.

2009-03-05  Alan McGovern  <amcgovern@novell.com>

	* Storyboard.cs: Add a bunch of additional tests for
	  PropertyPath. Ensure that the correct exceptions are thrown
	  when a propertypath is used on a storyboard.

2009-02-18  Jeffrey Stedfast  <fejj@novell.com>

	* KeyTime.cs (ToString): If the type is Uniform, return
	"Uniform". This is what Silverlight does.

2009-02-16  Alan McGovern  <amcgovern@novell.com>

	* Storyboard.cs: Implement the managed side of
	  Storyboard.GetCurrentState ().

2009-02-06  Sebastien Pouliot  <sebastien@ximian.com>

	* RepeatBehavior.cs: Correct behavior for a default (empty) 
	RepeatBehavior. Add missing validations for Count and Duration
	based RepeatBehavior. Implement IFormattable

2009-02-05  Jb Evain  <jbevain@novell.com>

	* Storyboard.cs: TargetProperty now takes and returns
	instances of PropertyPath.

2009-01-20  Larry Ewing  <lewing@novell.com>

	* Storyboard.cs: add a private dp for Children and access it
	rather than throwing a NIE.

2009-01-20  Sebastien Pouliot  <sebastien@ximian.com>

	* Storyboard.cs: Add missing validations on static methods

2009-03-15  Alan McGovern  <amcgovern@novell.com>

	* Timeline.cs: Simplify how native events are connected to in managed
	code. The managed add/remove event methods just call
	RegisterEvent/UnregisterEvent defined in DO.cs instead of each event
	managing the event list itself.

2009-01-19  Alan McGovern  <amcgovern@novell.com>

	* Timeline.cs: Change all our native callbacks to use a wrapped handler
	which traps managed exceptions.

2008-11-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* KeyTime.cs, BeginStoryboard.cs, KeyTimeType.cs: Corcompare fixes.

2008-11-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ColorKeyFrameCollection.cs, DoubleKeyFrameCollection.cs,
	  ObjectKeyFrameCollection.cs, PointKeyFrameCollection.cs,
	  TimelineCollection.cs: Corcompare work.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Animation.cs, KeyFrame.cs, ParallelTimeline.cs, TimelineGroup.cs:
	  Removed, these classes do not exist in SL 2.0 anymore.
	* DiscreteObjectKeyFrame.cs, ObjectAnimationUsingKeyFrames.cs,
	  ObjectKeyFrame.cs, ObjectKeyFrameCollection.cs: Added.
	* RepeatBehavior.cs, Storyboard.cs, Timeline.cs: Fixed gui-compare
	  issues.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ColorAnimation.cs, ColorAnimationUsingKeyFrames.cs, ColorKeyFrame.cs,
	  DoubleAnimation.cs, DoubleAnimationUsingKeyFrames.cs,
	  DoubleKeyFrame.cs, PointAnimation.cs,
	  PointAnimationUsingKeyFrames.cs, PointKeyFrame.cs,
	  RepeatBehavior.cs, Storyboard.cs: Changed some parameter names,
	  base types, method signatures, etc to match SL.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineCollection.cs: Remove more code, add more partial modifiers
	  and fix DependencyObject.g.cs whitespace problem.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Animation.cs, BeginStoryboard.cs, ColorAnimation.cs,
	  ColorAnimationUsingKeyFrames.cs, ColorKeyFrame.cs,
	  ColorKeyFrameCollection.cs, DiscreteColorKeyFrame.cs,
	  DiscreteDoubleKeyFrame.cs, DiscretePointKeyFrame.cs,
	  DoubleAnimation.cs, DoubleAnimationUsingKeyFrames.cs,
	  DoubleKeyFrame.cs, DoubleKeyFrameCollection.cs, KeyFrame.cs,
	  KeySpline.cs, LinearColorKeyFrame.cs, LinearDoubleKeyFrame.cs,
	  LinearPointKeyFrame.cs, ParallelTimeline.cs, PointAnimation.cs,
	  PointAnimationUsingKeyFrames.cs, PointKeyFrame.cs,
	  PointKeyFrameCollection.cs, SplineColorKeyFrame.cs,
	  SplineDoubleKeyFrame.cs, SplinePointKeyFrame.cs, Storyboard.cs,
	  Timeline.cs, TimelineGroup.cs: Generate public ctor, internal ctor
	  and GetKind for classes inheriting from DependencyObject.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* SplineColorKeyFrame.cs, PointKeyFrame.cs, ColorAnimation.cs,
	  TimelineGroup.cs, SplinePointKeyFrame.cs, KeyFrame.cs,
	  PointAnimationUsingKeyFrames.cs, Timeline.cs,
	  SplineDoubleKeyFrame.cs, DoubleAnimationUsingKeyFrames.cs,
	  Storyboard.cs, PointAnimation.cs, ColorAnimationUsingKeyFrames.cs,
	  BeginStoryboard.cs, DoubleKeyFrame.cs, ColorKeyFrame.cs,
	  DoubleAnimation.cs: Implement DP accessor generation.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Animation.cs, BeginStoryboard.cs, ColorAnimation.cs,
	  ColorAnimationUsingKeyFrames.cs, ColorKeyFrame.cs,
	  ColorKeyFrameCollection.cs, DiscreteColorKeyFrame.cs,
	  DiscreteDoubleKeyFrame.cs, DiscretePointKeyFrame.cs,
	  DoubleAnimation.cs, DoubleAnimationUsingKeyFrames.cs,
	  DoubleKeyFrame.cs, DoubleKeyFrameCollection.cs, KeyFrame.cs,
	  KeySpline.cs, LinearColorKeyFrame.cs, LinearDoubleKeyFrame.cs,
	  LinearPointKeyFrame.cs, ParallelTimeline.cs, PointAnimation.cs,
	  PointAnimationUsingKeyFrames.cs, PointKeyFrame.cs,
	  PointKeyFrameCollection.cs, SplineColorKeyFrame.cs,
	  SplineDoubleKeyFrame.cs, SplinePointKeyFrame.cs, Storyboard.cs,
	  Timeline.cs, TimelineCollection.cs, TimelineGroup.cs: Make classes
	  partial and remove DP registration, which is now generated.

2008-08-04  Michael Dominic K.  <mdk@mdk.am>

	* Storyboard.cs: Adding SetTarget.

2008-08-04  Michael Dominic K.  <mdk@mdk.am>

	* Storyboard.cs: More Property/Target missing methods & props.

2008-08-04  Michael Dominic K.  <mdk@mdk.am>

	* Storyboard.cs: Adding SetTatgetName and GetTargetName.

2008-08-04  Michael Dominic K.  <mdk@mdk.am>

	* KeySpline.cs: Setters and getters for KeySpline.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* BeginStoryboard.cs, BeginStoryBoard.cs: Renamed file to match type
	  name.

2008-07-28  Chris Toshok  <toshok@ximian.com>

	* TimelineCollection.cs: stub out
	PresentationFrameworkCollection<T> overrides.

	* ColorKeyFrameCollection.cs, DoubleKeyFrameCollection.cs,
	PointKeyFrameCollection.cs: same.

2008-07-23  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineCollection.cs: Moved.

2008-07-22  Jeffrey Stedfast <fejj@novell.com>

	* KeyTime.cs: Updated to reflect Silverlight 2 beta 2

	* ClockState.cs: Added

	* KeyTimeType.cs: Updated to reflect Silverlight 2 beta 2

2008-07-22  Jeffrey Stedfast  <fejj@novell.com>

	* TimelineMarkerCollection.cs: Moved to System.Windows.Media

	* TimelineMarker.cs: Same.

2007-09-30  Jb Evain  <jbevain@novell.com>

	* RepeatBehavior.cs: some corcompare work.

2007-09-27  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* PointKeyFrame.cs, SplineColorKeyFrame.cs, ColorAnimation.cs, Animation.cs,
	  ParallelTimeline.cs, TimelineGroup.cs, DiscreteColorKeyFrame.cs,
	  SplinePointKeyFrame.cs, LinearDoubleKeyFrame.cs, BeginStoryBoard.cs,
	  DiscretePointKeyFrame.cs, KeyFrame.cs, PointAnimationUsingKeyFrames.cs,
	  Timeline.cs, SplineDoubleKeyFrame.cs, DoubleKeyFrameCollection.cs,
	  ColorKeyFrameCollection.cs, DiscreteDoubleKeyFrame.cs,
	  TimelineMarkerCollection.cs, DoubleAnimationUsingKeyFrames.cs,
	  Storyboard.cs, PointKeyFrameCollection.cs, PointAnimation.cs,
	  ColorAnimationUsingKeyFrames.cs, LinearColorKeyFrame.cs,
	  DoubleKeyFrame.cs, ColorKeyFrame.cs, KeySpline.cs, TimelineMarker.cs,
	  LinearPointKeyFrame.cs, DoubleAnimation.cs: Don't ref ourself if we're
	  created using a *_new function, the creation itself already gives us a
	  ref.

2007-08-20  Jb Evain  <jbevain@novell.com>

	* Storyboard.cs: use methods in [agmono]Mono.Helper to avoid calling
	internal methods of mscorlib.

2007-08-09  Chris Toshok  <toshok@ximian.com>

	* RepeatBehavior.cs: implement RepeatBehavior.Forever, and rename
	DOUBLE to COUNT.

2007-07-30  Chris Toshok  <toshok@ximian.com>

	* ColorAnimationUsingKeyFrames.cs: update to use
	ColorKeyFrameCollection

	* DoubleAnimationUsingKeyFrames.cs: update to use
	DoubleKeyFrameCollection

	* PointAnimationUsingKeyFrames.cs: update to use
	PointKeyFrameCollection

	* ColorKeyFrameCollection.cs, DoubleKeyFrameCollection.cs,
	PointKeyFrameCollection: new.

	* KeyFrameCollection.cs: nuke.

2007-07-29  Chris Toshok  <toshok@ximian.com>

	* TimelineGroup.cs: in the 1.1 update, TimelineGroup.Children has
	been (thankfully) changed to TimelineCollection.  make the
	necessary (and thankfully, tiny) change.

2007-07-10  Chris Toshok  <toshok@ximian.com>

	* TimelineGroup.cs: use MS's broken, broken Children property -
	not a TimelineCollection, but a single Timeline.  This will more
	than likely be fixed in the next revision of Silverlight, but for
	now it's needed to run the airlines demo unmodified.

2007-07-09  Chris Toshok  <toshok@ximian.com>

	* Storyboard.cs: analogous change to Event.cs for
	CrossDomainProxy.

2007-07-08  Chris Toshok  <toshok@ximian.com>

	* Storyboard.cs: track change to Events.Add/RemoveHandler args.
	they're much cleaner now.  Also, don't register completed_delegate
	twice.

2007-07-08  Chris Toshok  <toshok@ximian.com>

	* Storyboard.cs: make a similar change as I made to UIElement.cs.
	use the EventHandlerList, and register/unregister our interest in
	events with the unmanaged code.

2007-06-22  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* RepeatBehavior.cs, KeyTime.cs: Make fields internal so the DO
	  marshaller can get them.

2007-06-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* SplineColorKeyFrame.cs, DiscreteColorKeyFrame.cs,
	  SplinePointKeyFrame.cs, LinearDoubleKeyFrame.cs,
	  DiscretePointKeyFrame.cs, DiscreteDoubleKeyFrame.cs,
	  LinearColorKeyFrame.cs, LinearPointKeyFrame.cs: Implemented.

2007-06-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineMarkerCollection.cs, ColorAnimationUsingKeyFrames.cs,
	  PointAnimationUsingKeyFrames.cs, TimelineMarker.cs: Added.
	* KeySpline.cs: Add GetKind.
	* SplineDoubleKeyFrame.cs: Fix constructor.

2007-06-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* PointKeyFrame.cs, DoubleKeyFrame.cs, ColorKeyFrame.cs: Added.
	* KeyFrameCollection.cs: Fix constructor.
	* KeyFrame.cs: Fix constructor and property lookup.

2007-06-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* KeyFrameCollection.cs, KeyFrame.cs, KeyTime.cs: Added.

2007-06-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ColorAnimation.cs,  PointAnimation.cs, DoubleAnimation.cs: Fix cast.
	* KeyTimeType.cs: Added.

2007-06-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Timeline.cs: Implement missing
	  property.

2007-06-18  Chris Toshok  <toshok@ximian.com>

	* Storyboard.cs: hook up the Completed unmanaged Storyboard event,
	and reflect it here.

2007-06-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ColorAnimation.cs, PointAnimation.cs, DoubleAnimation.cs: Fix
	  property lookup for nullable properties.
	* Timline.cs: Deleted, dead file.

2007-06-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* PointAnimation.cs: Fix property types.

2007-06-15  Alan McGovern <amcgovern@novell.com> 

	* ColorAnimation.cs: Fixed typos in the declaration

2007-06-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TimelineGroup.cs: Make Children a TimelineCollection.
	* PointAnimation.cs: Fix native constructor name.

2007-06-14  Alan McGovern <amcgovern@novell.com> 

	* ColorAnimation.cs, DoubleAnimation.cs, PointAnimation.cs, Storyboard.cs:
		fixed the native method constructor call.

2007-06-14  Alan McGovern <amcgovern@novell.com> 

	* ColorAnimation.cs, DoubleAnimation.cs, PointAnimation.cs, Storyboard.cs:
		fixed casing issues with properties.

2007-06-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ParallelTimeline.cs, TimelineGroup.cs, Timeline.cs: Constructor
	  fixes, part 3.

